GetUserInfo
GET
/auth/v1/userinfoQuery Parameters
user_id?user_id
The user_id query parameter.
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/auth.v1.UserInfo",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"title": "id"
},
"username": {
"type": "string",
"title": "username"
},
"email": {
"type": "string",
"title": "email"
},
"email_verified": {
"type": "boolean",
"title": "email_verified"
},
"first_name": {
"type": "string",
"title": "first_name"
},
"last_name": {
"type": "string",
"title": "last_name"
},
"image_url": {
"type": "string",
"title": "image_url"
},
"image_id": {
"type": "string",
"title": "image_id"
},
"language_code": {
"type": "string",
"title": "language_code"
},
"country_code": {
"type": "string",
"title": "country_code"
},
"active_org_id": {
"type": "string",
"title": "active_org_id"
},
"policies": {
"type": "array",
"items": {
"$ref": "#/components/schemas/auth.v1.Policy",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"title": "id"
},
"org_id": {
"type": "string",
"title": "org_id"
},
"name": {
"type": "string",
"title": "name"
},
"description": {
"type": "string",
"title": "description"
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"title": "permissions"
},
"created_by": {
"type": "string",
"title": "created_by"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"title": "created_at"
},
"updated_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"title": "updated_at"
}
},
"title": "Policy",
"additionalProperties": false
}
},
"title": "policies"
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"title": "permissions"
}
},
"title": "UserInfo",
"additionalProperties": false
}
}curl -X GET "https://api.rixl.com/auth/v1/userinfo"Success
application/json
{
"$ref": "#/components/schemas/auth.v1.UserInfo",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"title": "id"
},
"username": {
"type": "string",
"title": "username"
},
"email": {
"type": "string",
"title": "email"
},
"email_verified": {
"type": "boolean",
"title": "email_verified"
},
"first_name": {
"type": "string",
"title": "first_name"
},
"last_name": {
"type": "string",
"title": "last_name"
},
"image_url": {
"type": "string",
"title": "image_url"
},
"image_id": {
"type": "string",
"title": "image_id"
},
"language_code": {
"type": "string",
"title": "language_code"
},
"country_code": {
"type": "string",
"title": "country_code"
},
"active_org_id": {
"type": "string",
"title": "active_org_id"
},
"policies": {
"type": "array",
"items": {
"$ref": "#/components/schemas/auth.v1.Policy",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"title": "id"
},
"org_id": {
"type": "string",
"title": "org_id"
},
"name": {
"type": "string",
"title": "name"
},
"description": {
"type": "string",
"title": "description"
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"title": "permissions"
},
"created_by": {
"type": "string",
"title": "created_by"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"title": "created_at"
},
"updated_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"title": "updated_at"
}
},
"title": "Policy",
"additionalProperties": false
}
},
"title": "policies"
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"title": "permissions"
}
},
"title": "UserInfo",
"additionalProperties": false
}
}